Last Comment Bug 633204 - Autocomplete in the Web Console isn't fully cleared on ctrl+backspace
: Autocomplete in the Web Console isn't fully cleared on ctrl+backspace
Status: VERIFIED FIXED
[console-1]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86 Linux
: -- trivial (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-10 08:03 PST by Dan Wolff
Modified: 2011-06-02 02:47 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Dan Wolff 2011-02-10 08:03:31 PST
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:2.0b11) Gecko/20100101 Firefox/4.0b11
Build Identifier: Mozilla/5.0 (X11; Linux i686; rv:2.0b11) Gecko/20100101 Firefox/4.0b11

-

Reproducible: Always

Steps to Reproduce:
1. Open Web Console
2. Enter "wind" (suggesting "ow"; don't press tab)
3. Press ctrl+backspace to remove the word ("wind")
Actual Results:  
The manually entered word ("wind") is removed, but the suggestion ("ow") is still there.

Expected Results:  
Both the entered word and the suggestion are removed.
Comment 1 George Carstoiu 2011-02-18 06:04:56 PST
Confirming bug


Regression range:

Last good build:
http://hg.mozilla.org/mozilla-central/rev/95452499f3d6
Mozilla/5.0 (X11; Linux i686; rv:2.0b8pre) Gecko/20101208 Firefox/4.0b8pre


First bad build:
http://hg.mozilla.org/mozilla-central/rev/11e328a49e0a
Mozilla/5.0 (X11; Linux i686; rv:2.0b8pre) Gecko/20101209 Firefox/4.0b8pre

Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=95452499f3d6&tochange=11e328a49e0a
Comment 2 Dan Wolff 2011-05-27 19:57:16 PDT
I don't know *when* this was resolved, but this bug no longer exists in the current Firefox Aurora 6 build. Anyway, I'm marking this as FIXED.

Mozilla/5.0 (X11; Linux i686; rv:6.0a2) Gecko/20110527 Firefox/6.0a2
Comment 3 AndreiD[QA] 2011-06-02 01:27:36 PDT
Verified fixed on:
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110601 Firefox/7.0a1

*Note: If clearing an input in the web console with ctrl+Backspace, the autocomplete is cleared, as well.

Note You need to log in before you can comment on or make changes to this bug.